---
title: "parseNumberSkeleton"
parent: "@messageformat/number-skeleton"
grand_parent: API Reference
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->



# parseNumberSkeleton() function

Parse an [ICU NumberFormatter skeleton](https://github.com/unicode-org/icu/blob/master/docs/userguide/format_parse/numbers/skeletons.md) string into a [Skeleton](./number-skeleton.skeleton.md) structure.

<b>Signature:</b>

```typescript
export declare function parseNumberSkeleton(src: string, onError?: (err: NumberFormatError) => void): Skeleton;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  src | string | The skeleton string |
|  onError | (err: [NumberFormatError](./number-skeleton.numberformaterror.md)<!-- -->) =&gt; void | Called when the parser encounters a syntax error. The function will still return a [Skeleton](./number-skeleton.skeleton.md)<!-- -->, but it may not contain information for all tokens. If not defined, the error will be thrown instead. |

<b>Returns:</b>

[Skeleton](./number-skeleton.skeleton.md)

## Example


```js
import { parseNumberSkeleton } from '@messageformat/number-skeleton'

parseNumberSkeleton('compact-short currency/GBP', console.error)
// {
//   notation: { style: 'compact-short' },
//   unit: { style: 'currency', currency: 'GBP' }
// }

```

